summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Sachau <tommy@gentoo.org>2008-01-27 17:07:06 +0000
committerThomas Sachau <tommy@gentoo.org>2008-01-27 17:07:06 +0000
commit85662ed54cbcd5d0fc36a1c637313a5cf3607e90 (patch)
tree56fbe62d7c536c2b5024ffc96774658e2a4d099a /net-p2p/thaw
parentnet-p2p/freenet-bin: New upstream release (diff)
downloadsunrise-85662ed54cbcd5d0fc36a1c637313a5cf3607e90.tar.gz
sunrise-85662ed54cbcd5d0fc36a1c637313a5cf3607e90.tar.bz2
sunrise-85662ed54cbcd5d0fc36a1c637313a5cf3607e90.zip
net-p2p/thaw: New ebuild for bug 207635
svn path=/sunrise/; revision=5542
Diffstat (limited to 'net-p2p/thaw')
-rw-r--r--net-p2p/thaw/ChangeLog7
-rw-r--r--net-p2p/thaw/Manifest5
-rw-r--r--net-p2p/thaw/metadata.xml5
-rw-r--r--net-p2p/thaw/thaw-0.8.1.ebuild61
4 files changed, 78 insertions, 0 deletions
diff --git a/net-p2p/thaw/ChangeLog b/net-p2p/thaw/ChangeLog
new file mode 100644
index 000000000..ff8e632eb
--- /dev/null
+++ b/net-p2p/thaw/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for net-p2p/thaw
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 27 Jan 2008; (Tommy[D]) tommy100@gmx.de +metadata.xml, +thaw-0.8.1.ebuild:
+ New ebuild for bug 207635
+
diff --git a/net-p2p/thaw/Manifest b/net-p2p/thaw/Manifest
new file mode 100644
index 000000000..2875e0bd4
--- /dev/null
+++ b/net-p2p/thaw/Manifest
@@ -0,0 +1,5 @@
+DIST bcprov-jdk14-138.jar 1551468 RMD160 a574bc021fc3e6b0f5b89bee9e099f208242d6cb SHA1 de366c3243a586eb3c0e2bcde1ed9bb1bfb985ff SHA256 d60b88c5d1932de8d98edd5a3ae2d5d5647793de3eb6157015807ee523cd2bee
+DIST thaw-0.8.1.tar.bz2 961160 RMD160 ab577a69ba5b162b25e49a2ab3d34fbd6b03d121 SHA1 338d775ee3d8b4d74680294b8b361ace2938e3ce SHA256 4714c300df73305a081c4ae6eb46dd4cd74c09ed250cfe6a10dce4a463d4e550
+EBUILD thaw-0.8.1.ebuild 1399 RMD160 2d0c2c4076b0f5daa11d296063be99afff3d8aa2 SHA1 c7948edc994c59df27a976a40eca623ae21adf41 SHA256 ed6e79828b52feda0685889a00d348104a4ed3179215fc938576dee4f29bd191
+MISC ChangeLog 219 RMD160 26db78f3581345751573a1acf5ed6ce974f12ee7 SHA1 219b921c9900c0d0386633892cc1d9b93d787670 SHA256 acd7a8110ec2c99680346670d27eda60c34118b3f9f3253b633cc1ce77483e36
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/net-p2p/thaw/metadata.xml b/net-p2p/thaw/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/net-p2p/thaw/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/net-p2p/thaw/thaw-0.8.1.ebuild b/net-p2p/thaw/thaw-0.8.1.ebuild
new file mode 100644
index 000000000..61007e98b
--- /dev/null
+++ b/net-p2p/thaw/thaw-0.8.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="A filesharing utility and upload/download manager for freenet"
+HOMEPAGE="http://wiki.freenetproject.org/Thaw/"
+SRC_URI="http://dev.gentooexperimental.org/~tommy/${P}.tar.bz2
+ http://www.bouncycastle.org/download/bcprov-jdk14-138.jar"
+LICENSE="GPL-3"
+IUSE=""
+SLOT="0"
+KEYWORDS="~x86"
+RDEPEND=">=virtual/jre-1.4
+ || ( net-p2p/freenet
+ net-p2p/freenet-bin )"
+DEPEND=">=virtual/jdk-1.4
+ dev-java/ant
+ dev-java/jmdns
+ dev-db/hsqldb"
+S="${WORKDIR}/thaw"
+
+pkg_setup() {
+ enewgroup thaw
+}
+
+src_unpack() {
+ unpack ${P}.tar.bz2
+ cd "${S}"
+ cp -R /usr/share/jmdns/lib .
+ cp /usr/share/hsqldb/lib/hsqldb.jar lib/
+ cp "${DISTDIR}"/bcprov-jdk14-138.jar lib/BouncyCastle.jar
+}
+
+src_compile() {
+ ant
+}
+
+src_install() {
+ insinto /opt/thaw
+ doins bin/Thaw.jar
+ echo "cd /opt/thaw">thaw
+ echo "java -jar Thaw.jar">>thaw
+ dobin thaw
+ fowners :thaw /usr/bin/thaw
+ fperms o-rx /usr/bin/thaw
+ fowners -R :thaw /opt/thaw
+}
+
+pkg_postinst() {
+ chmod g+rw /opt/thaw
+ elog "You have to be in the thaw-group to start thaw."
+ elog "use 'gpasswd -a user thaw' to add user to the thaw-group."
+}
+
+pkg_postrm() {
+ elog "If you dont want to use thaw any more"
+ elog "and dont want to keep your identities/other stuff"
+ elog "remember to do 'rm -rf /opt/thaw' do remove everything"
+}